
Katello - Bug #4323

Katello: Adding a new repository after issuing "katello create repo --org=XXX --product=XXX

--name=XXX" adding further repos fail with 400 Bad Request.

02/12/2014 11:38 AM - Dave Hatton

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Added a repo using (Note that name and product are the same)

katello create repo --org=XXX --product=XXX --name=XXX

 Adding further repos fail with "400 Bad Request"

Removal of the repo XXX allows further repos to be added normally

Using the following works fine

katello create repo --org=XXX --product=XXX --name=XXX-yyy

History

#1 - 02/12/2014 11:45 AM - Dominic Cleal

- Project changed from Foreman to Katello

#2 - 04/25/2014 12:12 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#3 - 06/04/2014 03:33 PM - Eric Helms

- Category set to Hammer

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/17/2014 03:46 PM - Eric Helms

- Status changed from New to Closed

Testing with latest Katello CLI this does not appear to be an issue. Please re-open if you are still seeing it.

#6 - 06/17/2014 03:48 PM - Partha Aji

Looks like fixed. Closing.

$ hammer repository create --product=foo --name=spoo --organization-id=1 --content-type=yum

Repository created
$ hammer repository list --organization-id=1

---|------|---------|-------------

ID | NAME | PRODUCT | CONTENT TYPE

---|------|---------|-------------

2  | spoo | foo     | yum

---|------|---------|-------------
